Index Page putcml_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void putcml_c ( SpiceInt      argc,
                       SpiceChar  ** argv )

#### Abstract

       Store the contents of argv and argc for later access..

#### Required_Reading

       None.

#### Keywords

       UTILITY

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       argc       I   The number of command line arguments.
       argv       I   The vector of command line arguments.

#### Detailed_Input

       argc      is the number of command line arguments.

       argv      is the vector of space delimited command line arguments.
                 Each entry entry contains one argument.  argv[0] is the
                 command name.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       This routines participates in error tracing but detects no errors.
       Error detection is done in zzgetcml_c.c

#### Files

       None.

#### Particulars

       This routine is a wrapper routine for the initialization call to
       zzgetcml_c.  The first call to zzgetcml_c stores the values of argv
       and argc where subsequent calls, via getcml_c, retrieve the values.

#### Examples

       #include <stdio.h>
       #include <stdlib.h>

       #include "SpiceUsr.h"

       void main( int argc, char *argv[] )
       {

          /. Store argv and argc for latter access. ./

          putcml_c ( argc, argv );

          ..... other stuff .....
          .....             .....

       }

       void goop ()
       {
          ..... new module .....

          SpiceInt      argc;
          SpiceChar  ** argv;

          .....
          .....

          /. Now get the stored information. ./

          getcml_c ( &argc, &argv );

       }

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       E.D. Wright    (JPL)

#### Version

       -CSPICE Version 1.2.0, 23-JUL-2001 (NJB)

           Removed tab characters from source file.
           Corrected previous version line.

       -CSPICE Version 1.1.0, 08-FEB-1998   (EDW)

          Routine rewritten to use private routine zzgetcml_c.c.

       -CSPICE Version 1.0.0, 14-JAN-1997   (EDW)

#### Index_Entries

       store argc argv

#### Link to routine putcml_c source file putcml_c.c

    Wed Apr  5 17:54:41 2017